DraftVariableAngleData Class

class NXOpen.GeometricUtilities.DraftVariableAngleData

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents data containing variable angle draft point data objects

This class will not be created by the user.

New in version NX4.0.0.

Properties

Property Description
Tag Returns the Tag for this object.

Methods

Method Description
AddDraftPoints Adds NXOpen.GeometricUtilities.DraftPointData objects
GetDraftPoints Returns NXOpen.GeometricUtilities.DraftPointData objects
GetNumberOfDraftPoints Returns number of NXOpen.GeometricUtilities.DraftPointData objects
RemoveDraftPoints Removes NXOpen.GeometricUtilities.DraftPointData objects
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Method Detail

AddDraftPoints

DraftVariableAngleData.AddDraftPoints

Adds NXOpen.GeometricUtilities.DraftPointData objects

Signature AddDraftPoints(points)

Parameters:points (list of NXOpen.GeometricUtilities.DraftPointData) – Array of DraftPointData Objects

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetDraftPoints

DraftVariableAngleData.GetDraftPoints

Returns NXOpen.GeometricUtilities.DraftPointData objects

Signature GetDraftPoints()

Returns:Array of DraftPointData Objects
Return type:list of NXOpen.GeometricUtilities.DraftPointData

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetNumberOfDraftPoints

DraftVariableAngleData.GetNumberOfDraftPoints

Returns number of NXOpen.GeometricUtilities.DraftPointData objects

Signature GetNumberOfDraftPoints()

Returns:Number of DraftPointData Objects
Return type:int

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveDraftPoints

DraftVariableAngleData.RemoveDraftPoints

Removes NXOpen.GeometricUtilities.DraftPointData objects

Signature RemoveDraftPoints(points)

Parameters:points (list of NXOpen.GeometricUtilities.DraftPointData) – Array of DraftPointData Objects

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

DraftVariableAngleData.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.